<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CellRangeAddressBase (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CellRangeAddressBase (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellRangeAddressBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
               title="enum in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellRangeAddressBase.html"
               target="_top">Frames</a></li>
        <li><a href="CellRangeAddressBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class CellRangeAddressBase" class="title">Class CellRangeAddressBase</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.CellRangeAddressBase</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                                 title="class in org.apache.poi.ss.util">CellAddress</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                           title="class in org.apache.poi.ss.util">CellRangeAddress</a>, <a
                            href="../../../../../org/apache/poi/hssf/util/CellRangeAddress8Bit.html"
                            title="class in org.apache.poi.hssf.util">CellRangeAddress8Bit</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">CellRangeAddressBase</span>
extends java.lang.Object
implements java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                    title="class in org.apache.poi.ss.util">CellAddress</a>&gt;</pre>
                <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range Address'<p>

                    Common superclass of 8-bit and 16-bit versions</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
                                        title="enum in org.apache.poi.ss.util">CellRangeAddressBase.CellPosition</a></span></code>
                                    <div class="block">Indicates a cell or range is in the given relative position in a
                                        range.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#CellRangeAddressBase-int-int-int-int-">CellRangeAddressBase</a></span>(int&nbsp;firstRow,
                                    int&nbsp;lastRow,
                                    int&nbsp;firstCol,
                                    int&nbsp;lastCol)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#containsColumn-int-">containsColumn</a></span>(int&nbsp;colInd)</code>
                                    <div class="block">Check if the column is in the specified cell range</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#containsRow-int-">containsRow</a></span>(int&nbsp;rowInd)</code>
                                    <div class="block">Check if the row is in the specified cell range</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;other)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getFirstColumn--">getFirstColumn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getFirstRow--">getFirstRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getLastColumn--">getLastColumn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getLastRow--">getLastRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMaxColumn--">getMaxColumn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMaxRow--">getMaxRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMinColumn--">getMinColumn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMinRow--">getMinRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getNumberOfCells--">getNumberOfCells</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.util.Set&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
                                        title="enum in org.apache.poi.ss.util">CellRangeAddressBase.CellPosition</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getPosition-int-int-">getPosition</a></span>(int&nbsp;rowInd,
                                    int&nbsp;colInd)</code>
                                    <div class="block">Useful for logic like table/range styling, where some elements
                                        apply based on relative position in a range.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#intersects-org.apache.poi.ss.util.CellRangeAddressBase-">intersects</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;other)</code>
                                    <div class="block">Determines whether or not this CellRangeAddress and the specified
                                        CellRangeAddress intersect.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isFullColumnRange--">isFullColumnRange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isFullRowRange--">isFullRowRange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-org.apache.poi.ss.usermodel.Cell-">isInRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Determines if the given <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>Cell</code></a> lies
                                        within the bounds
                                        of this range.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-org.apache.poi.ss.util.CellAddress-">isInRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;ref)</code>
                                    <div class="block">Determines if the given <a
                                            href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                            title="class in org.apache.poi.ss.util"><code>CellAddress</code></a> lies
                                        within the bounds
                                        of this range.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-org.apache.poi.ss.util.CellReference-">isInRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;ref)</code>
                                    <div class="block">Determines if the given <a
                                            href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                            title="class in org.apache.poi.ss.util"><code>CellReference</code></a> lies
                                        within the bounds
                                        of this range.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-int-int-">isInRange</a></span>(int&nbsp;rowInd,
                                    int&nbsp;colInd)</code>
                                    <div class="block">Determines if the given coordinates lie within the bounds
                                        of this range.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#iterator--">iterator</a></span>()</code>
                                    <div class="block">Returns an iterator over the CellAddresses in this cell range in
                                        row-major order.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setFirstColumn-int-">setFirstColumn</a></span>(int&nbsp;firstCol)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setFirstRow-int-">setFirstRow</a></span>(int&nbsp;firstRow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setLastColumn-int-">setLastColumn</a></span>(int&nbsp;lastCol)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setLastRow-int-">setLastRow</a></span>(int&nbsp;lastRow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#validate-org.apache.poi.ss.SpreadsheetVersion-">validate</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                    <div class="block">Validate the range limits against the supplied version of Excel
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CellRangeAddressBase-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CellRangeAddressBase</h4>
                                <pre>protected&nbsp;CellRangeAddressBase(int&nbsp;firstRow,
                               int&nbsp;lastRow,
                               int&nbsp;firstCol,
                               int&nbsp;lastCol)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="validate-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>validate</h4>
                                <pre>public&nbsp;void&nbsp;validate(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</pre>
                                <div class="block">Validate the range limits against the supplied version of Excel</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ssVersion</code> - the version of Excel to validate against</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the range limits are
                                        outside of the allowed range
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFullColumnRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFullColumnRange</h4>
                                <pre>public final&nbsp;boolean&nbsp;isFullColumnRange()</pre>
                            </li>
                        </ul>
                        <a name="isFullRowRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFullRowRange</h4>
                                <pre>public final&nbsp;boolean&nbsp;isFullRowRange()</pre>
                            </li>
                        </ul>
                        <a name="getFirstColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstColumn</h4>
                                <pre>public final&nbsp;int&nbsp;getFirstColumn()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>column number for the upper left hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstRow</h4>
                                <pre>public final&nbsp;int&nbsp;getFirstRow()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>row number for the upper left hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastColumn</h4>
                                <pre>public final&nbsp;int&nbsp;getLastColumn()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>column number for the lower right hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastRow</h4>
                                <pre>public final&nbsp;int&nbsp;getLastRow()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>row number for the lower right hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isInRange-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isInRange</h4>
                                <pre>public&nbsp;boolean&nbsp;isInRange(int&nbsp;rowInd,
                         int&nbsp;colInd)</pre>
                                <div class="block">Determines if the given coordinates lie within the bounds
                                    of this range.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowInd</code> - The row, 0-based.</dd>
                                    <dd><code>colInd</code> - The column, 0-based.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>True if the coordinates lie within the bounds, false otherwise.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#intersects-org.apache.poi.ss.util.CellRangeAddressBase-"><code>for
                                            checking if two ranges overlap</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isInRange-org.apache.poi.ss.util.CellReference-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isInRange</h4>
                                <pre>public&nbsp;boolean&nbsp;isInRange(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;ref)</pre>
                                <div class="block">Determines if the given <a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util"><code>CellReference</code></a> lies
                                    within the bounds
                                    of this range.
                                    <p>NOTE: It is up to the caller to ensure the reference is
                                        for the correct sheet, since this instance doesn't have a sheet reference.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ref</code> - the CellReference to check</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>True if the reference lies within the bounds, false otherwise.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#intersects-org.apache.poi.ss.util.CellRangeAddressBase-"><code>for
                                            checking if two ranges overlap</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isInRange-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isInRange</h4>
                                <pre>public&nbsp;boolean&nbsp;isInRange(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;ref)</pre>
                                <div class="block">Determines if the given <a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util"><code>CellAddress</code></a> lies within
                                    the bounds
                                    of this range.
                                    <p>NOTE: It is up to the caller to ensure the reference is
                                        for the correct sheet, since this instance doesn't have a sheet reference.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ref</code> - the CellAddress to check</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>True if the reference lies within the bounds, false otherwise.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#intersects-org.apache.poi.ss.util.CellRangeAddressBase-"><code>for
                                            checking if two ranges overlap</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isInRange-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isInRange</h4>
                                <pre>public&nbsp;boolean&nbsp;isInRange(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">Determines if the given <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel"><code>Cell</code></a> lies
                                    within the bounds
                                    of this range.
                                    <p>NOTE: It is up to the caller to ensure the reference is
                                        for the correct sheet, since this instance doesn't have a sheet reference.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the Cell to check</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>True if the cell lies within the bounds, false otherwise.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#intersects-org.apache.poi.ss.util.CellRangeAddressBase-"><code>for
                                            checking if two ranges overlap</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsRow</h4>
                                <pre>public&nbsp;boolean&nbsp;containsRow(int&nbsp;rowInd)</pre>
                                <div class="block">Check if the row is in the specified cell range</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowInd</code> - the row to check</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the range contains the row [rowInd]</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsColumn</h4>
                                <pre>public&nbsp;boolean&nbsp;containsColumn(int&nbsp;colInd)</pre>
                                <div class="block">Check if the column is in the specified cell range</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>colInd</code> - the column to check</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the range contains the column [colInd]</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="intersects-org.apache.poi.ss.util.CellRangeAddressBase-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>intersects</h4>
                                <pre>public&nbsp;boolean&nbsp;intersects(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;other)</pre>
                                <div class="block">Determines whether or not this CellRangeAddress and the specified
                                    CellRangeAddress intersect.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>other</code> - a candidate cell range address to check for intersection
                                        with this range
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>returns true if this range and other range have at least 1 cell in common</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-int-int-"><code>for
                                            checking if a single cell intersects</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPosition-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPosition</h4>
                                <pre>public&nbsp;java.util.Set&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
                                        title="enum in org.apache.poi.ss.util">CellRangeAddressBase.CellPosition</a>&gt;&nbsp;getPosition(int&nbsp;rowInd,
                                                                    int&nbsp;colInd)</pre>
                                <div class="block">Useful for logic like table/range styling, where some elements apply
                                    based on relative position in a range.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowInd</code> -</dd>
                                    <dd><code>colInd</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>set of <a
                                            href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
                                            title="enum in org.apache.poi.ss.util"><code>CellRangeAddressBase.CellPosition</code></a>s
                                        occupied by the given coordinates. Empty if the coordinates are not in the
                                        range, never null.
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFirstColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFirstColumn</h4>
                                <pre>public final&nbsp;void&nbsp;setFirstColumn(int&nbsp;firstCol)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstCol</code> - column number for the upper left hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFirstRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFirstRow</h4>
                                <pre>public final&nbsp;void&nbsp;setFirstRow(int&nbsp;firstRow)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstRow</code> - row number for the upper left hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastColumn</h4>
                                <pre>public final&nbsp;void&nbsp;setLastColumn(int&nbsp;lastCol)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lastCol</code> - column number for the lower right hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastRow</h4>
                                <pre>public final&nbsp;void&nbsp;setLastRow(int&nbsp;lastRow)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lastRow</code> - row number for the lower right hand corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfCells</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfCells()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the size of the range (number of cells in the area).</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&gt;&nbsp;iterator()</pre>
                                <div class="block">Returns an iterator over the CellAddresses in this cell range in
                                    row-major order.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                            title="class in org.apache.poi.ss.util">CellAddress</a>&gt;</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public final&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinRow</h4>
                                <pre>protected&nbsp;int&nbsp;getMinRow()</pre>
                            </li>
                        </ul>
                        <a name="getMaxRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMaxRow</h4>
                                <pre>protected&nbsp;int&nbsp;getMaxRow()</pre>
                            </li>
                        </ul>
                        <a name="getMinColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinColumn</h4>
                                <pre>protected&nbsp;int&nbsp;getMinColumn()</pre>
                            </li>
                        </ul>
                        <a name="getMaxColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMaxColumn</h4>
                                <pre>protected&nbsp;int&nbsp;getMaxColumn()</pre>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;other)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellRangeAddressBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
               title="enum in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellRangeAddressBase.html"
               target="_top">Frames</a></li>
        <li><a href="CellRangeAddressBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
